
package com.tmerclub.cloud.multishop.constant;

/**
 * 装修模板类型
 * @author lhd
 */
public enum TemplateType {

    /**
     * pc端
     */
    PC(1),
    /**
     * 移动端
     */
    H5(2),

    ;
    private final Integer num;


    public Integer value() {
        return num;
    }


    TemplateType(Integer num) {
        this.num = num;
    }

    public static TemplateType instance(Integer value) {
        TemplateType[] enums = values();
        for (TemplateType statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
